Groovy 1.7.10

## org.codehaus.groovy.control.messages
[Java] Class ExceptionMessage

    java.lang.Object
      org.codehaus.groovy.control.messages.Message
          org.codehaus.groovy.control.messages.ExceptionMessage

    public class ExceptionMessage
    extends Message

A class for error messages produced by the parser system.

Authors:
  Chris Poirier

Version:
  \$Id: ExceptionMessage.java 6778 2007-07-02 10:40:33Z glaforge \$

Field Summary
`protected boolean` | `verbose`

Constructor Summary
`ExceptionMessage(Exception cause, boolean v, ProcessingUnit owner)`

Method Summary
`Exception` | `getCause()` Returns the underlying Exception.
`void` | `write(PrintWriter output, Janitor janitor)` Writes out a nicely formatted summary of the exception.

Methods inherited from class Message
create, create, create, write, write

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### verbose

    protected boolean verbose

Constructor Detail

### ExceptionMessage

    public ExceptionMessage(Exception cause, boolean v, ProcessingUnit owner)

Method Detail

### getCause

    public Exception getCause()

  Returns the underlying Exception.

### write

    public void write(PrintWriter output, Janitor janitor)

  Writes out a nicely formatted summary of the exception.

Copyright © 2003-2010 The Codehaus. All rights reserved.